Subject: Re: [MOBILE-IP] Latest Challenge draft issued

From: Patrice Calhoun <[email-masked]>
Date: Fri, 22 Oct 1999 10:11:30 -0700

>Pat,
>
>See below.
>
>>
>> Just to reinforce my previous message, this is the wrong mailing list to have
>> such a discussion. However, my comments are below.
>
>
>The reason we are having this discussion here is because this
>discussion is relevant to the draft and its wording (see below) and
>you were referring to the work of ROAMOPS.
>
>>
>> As for your (2) above, I have just recently looked at the RADIUS v2 draft,
>> btw it is NOT a second version of the protocol, but rather some
>clarifications
>> to the draft to move it from proposed to draft standard. However, the draft
>> now includes LOTS of new protocol changes that are NOT allowed between
>> proposed to draft, AND many of these have never been run on the Internet, and
>> as far as I know, have no interoperability testing done. I suspect strongly
>> that the IESG will not let most of these changes through, without moving the
>> document back to proposed standard.
>
>It went through last call, so I guess the working group is okay with
>it.

..and many people that I have talked to since admitted that they gave the
draft zero (0) attention. However, expect lots of controversy as it enters
the IETF last call. We are still waiting for this to happen.

>
>>
>> As I specified in my previous e-mail, the draft does not forbid the FA from
>> talking to a local RADIUS server.
>>
>
>
>Then why does  the text say "If the  MN-RADIUS  extension (see Section
>4.3) is present, the foreign   agent SHOULD forward the request to the Home
>Agent"

Notice the SHOULD, and not MUST. If the foreign agent wants to do something
else, it can.

> and "If the MN-AAA Authentication extension (see Section 4.2) is present
>   in the message, or if an NAI extension is included indicating that
>   the mobile node belongs to a different administrative domain, the
>   foreign agent may take actions outside the scope of this protocol
>   specification to carry out the authentication of the mobile node ".
well, what would you expect? That we start listing the RADIUS messages? What
is the problem with this sentence?

PatC

---

From: Gopal Dommety <[email-masked]>
Date: Fri, 22 Oct 1999 10:37:01 -0700

> is the problem with this sentence?

How about this instead of the current paragraph.

If  MN-AAA  Authentication extension  (see  Section  4.2) or MN-RADIUS
Authentication  extension (see Setion 4.3) is  present in the message,
or if an  NAI extension  is  included indicating that  the mobile node
belongs to a different  administrative  domain, the foreign  agent may
take actions outside the scope of this protocol specification to carry
out the authentication of the mobile node.

Thanks
Gopal